﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.OleDb;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using C1.Win.C1TrueDBGrid;

namespace TrueDBGridPrintDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            string connectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" +
            System.IO.Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments),
            @"ComponentOne Samples\Common\C1NWind.mdb") + ";";
            OleDbConnection conn = new OleDbConnection(connectionString);
            OleDbDataAdapter adapter = new OleDbDataAdapter("Select * from Data", conn);
            adapter.Fill(dt);
            c1TrueDBGrid1.DataSource = dt;
            c1TrueDBGrid1.Style.BackColor = Color.LimeGreen;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            c1TrueDBGrid1.PrintInfo.MeasurementDevice = PrintInfo.MeasurementDeviceEnum.Printer;
            c1TrueDBGrid1.PrintInfo.Print();
        }
    }
}
